// Lösungen zu "Richard Kaiser: C++ mit dem Borland C++Builder 2007", ISBN: 978-3-540-69575-2
// Copyright Richard Kaiser, 2007. http://www.rkaiser.de. All rights reserved.
// Diese Quelltexte dürfen in eigenen Programmen verwendet werden, wenn sie einen Hinweis auf die Quelle (die ersten beiden Zeilen) enthalten. In keinem Fall wird eine Haftung für direkte, indirekte, zufällige oder Folgeschäden übernommen, die sich aus der Nutzung ergeben.
// It is permitted to use this source text in programs of your own, provided that it contains a reference to the source (the first two lines above). All liabilities for use of the code are disclaimed.

#include <vcl.h>
#pragma hdrstop
#include "RechnerU.h"
#pragma package(smart_init)
#pragma resource "*.dfm"

TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ButtonLoeschenClick(TObject *Sender)
{
Operand1->Clear();
Operand2->Clear();
Ergebnis->Clear();
}

void __fastcall TForm1::ButtonIntPlusClick(TObject *Sender)
{
LabelOperation->Caption="+";
Ergebnis->Text=IntToStr(
                 StrToInt(Operand1->Text)+StrToInt(Operand2->Text));
}

void __fastcall TForm1::ButtonDoublePlusClick(TObject *Sender)
{
Ergebnis->Text=FloatToStr(
                 StrToFloat(Operand1->Text)+StrToFloat(Operand2->Text));
}

void __fastcall TForm1::ButtonFloatPlusClick(TObject *Sender)
{
LabelOperation->Caption="+";
Ergebnis->Text=FloatToStr(
                 StrToFloat(Operand1->Text)+StrToFloat(Operand2->Text));
}

void __fastcall TForm1::ButtonFloatMinusClick(TObject *Sender)
{
LabelOperation->Caption="-";
Ergebnis->Text=FloatToStr(
                 StrToFloat(Operand1->Text)-StrToFloat(Operand2->Text));
}

void __fastcall TForm1::ButtonFloatMultClick(TObject *Sender)
{
LabelOperation->Caption="*";
Ergebnis->Text=FloatToStr(
                 StrToFloat(Operand1->Text)*StrToFloat(Operand2->Text));
}

void __fastcall TForm1::ButtonFloatDivClick(TObject *Sender)
{
LabelOperation->Caption="/";
Ergebnis->Text=FloatToStr(
                 StrToFloat(Operand1->Text)/StrToFloat(Operand2->Text));
}
